
var Settings = (function() {
    var displayed = false,

    pages = {
        services: {}
    },

    spawn = function() {
    },

    updatePage = function(page) {
    };

    return {
        display: function(page) {
            if (!displayed)
                spawn();
            updatePage(page);
            return this;
        },

        setClosable: function(closable) {
            return this;
        },

        pages: pages
    };
})();

